# -*- coding: utf-8 -*-

from openerp import models, fields, api

class PaymentMethodFilter(models.Model):
    _inherit = 'account.voucher'

    store_id = fields.Many2one('res.store', 'Current Store', default=lambda self: self.env.user.store_id)

class InvoiceDefaultMethod(models.Model):
    _inherit = 'res.store'

    out_invoice_id = fields.Many2one('account.journal', 'Out Invoice')
    out_refund_id = fields.Many2one('account.journal', 'Out Refund Invoice')
    in_invoice_id = fields.Many2one('account.journal', 'In Invoice')
    in_refund_id = fields.Many2one('account.journal', 'In refund Invoice')

class AccountInvoiceMethod(models.Model):
	_inherit = 'account.invoice'
	
	store_id = fields.Many2one('res.store', 'Current Store')

	@api.one
	@api.onchange('store_id')
	def onchange_store_id(self):
	    	if self.type == 'out_invoice':
	        	self.journal_id = self.store_id.out_invoice_id.id
	        if self.type == 'out_refund':
	        	self.journal_id = self.store_id.out_refund_id.id
	        if self.type == 'in_invoice':
	        	self.journal_id = self.store_id.in_invoice_id.id
	        if self.type == 'in_refund':
	        	self.journal_id = self.store_id.in_refund_id.id